> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/flex-metal-quota.md).

# Flex Metal Quota

Manage and view your FlexMetal Quota and Usage

## GET /v3/flexMetal/quota/usage

> Get your FlexMetal quota and current usage numbers

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalQuota","description":"Manage and view your FlexMetal Quota and Usage"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FlexMetalServerQuotaUsage":{"type":"object","required":["location","quotaUsage"],"properties":{"location":{"allOf":[{"$ref":"#/components/schemas/FlexMetalLocationPartial"}],"description":"Data center location","readOnly":true},"quotaUsage":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalQuotaUsage"},"description":"Quota and usage for a resource type","readOnly":true}},"additionalProperties":false},"FlexMetalLocationPartial":{"type":"object","required":["id","name"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the location","readOnly":true},"name":{"type":"string","format":"","description":"Name of the location","readOnly":true}},"additionalProperties":false},"FlexMetalQuotaUsage":{"type":"object","required":["instanceType","quotaType","contractId","quota","usage"],"properties":{"instanceType":{"allOf":[{"$ref":"#/components/schemas/FlexMetalInstanceTypePartial"}],"description":"Instance type","readOnly":true},"quotaType":{"type":"string","format":"","description":"The type of quota. Can be \"onDemand\" or \"commit\".","readOnly":true},"contractId":{"type":"string","format":"","description":"The contract identifier of commited resources. Empty for generic quota."},"quota":{"type":"integer","format":"integer","description":"The assigned quota number of server resources, for this location and instance type.","readOnly":true},"usage":{"type":"integer","format":"integer","description":"The current usage of server resources, for this location and instance type.","readOnly":true}},"additionalProperties":false},"FlexMetalInstanceTypePartial":{"type":"object","required":["id","name"],"properties":{"id":{"type":"integer","format":"integer","description":"Instance type ID","readOnly":true},"name":{"type":"string","format":"","description":"Instance type name","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/quota/usage":{"get":{"tags":["FlexMetalQuota"],"summary":"Get your FlexMetal quota and current usage numbers","operationId":"getFlexMetalQuotaUsages","responses":{"200":{"description":"List of quota & current usage numbers","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalServerQuotaUsage"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/general/flex-metal-quota.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
